package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilRoleOrgcodeTable;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface DilRoleOrgcodeTableMapper extends IBaseMapper<DilRoleOrgcodeTable, BigDecimal> {

    @Select("select seq__dilTableColumn.nextval from dual")
    BigDecimal getPrimaryId();

    int updateEnableStatus(Map<String, Object> map);

    int deleteSchmenLColumnData(Map<String, Object> map);

}